org.appng.core.controller

## Class Controller

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.catalina.servlets.DefaultServlet
      - - org.appng.core.controller.Controller

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.apache.catalina.ContainerServlet

      @WebServlet(name="controller",
                  urlPatterns={"/","*.jsp"},
                  loadOnStartup=1)
      public class Controller
      extends org.apache.catalina.servlets.DefaultServlet
      implements org.apache.catalina.ContainerServlet

  The controller `Servlet` of appNG, delegating `HttpServletRequest`s to an appropriate `RequestHandler`.
  Author:
    Matthias Müller
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.catalina.servlets.DefaultServlet

      `org.apache.catalina.servlets.DefaultServlet.CompressionFormat, org.apache.catalina.servlets.DefaultServlet.Range`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `HEADER_NODE`
    `protected static String` | `HEADER_SITE`
    `protected static String` | `HEADER_VERSION`
    `protected JspHandler` | `jspHandler`
    `protected byte[]` | `loadingScreen`
    `protected MonitoringHandler` | `monitoringHandler`

    - ### Fields inherited from class org.apache.catalina.servlets.DefaultServlet

      `BUFFER_SIZE, compressionFormats, contextXsltFile, debug, fileEncoding, FULL, globalXsltFile, input, listings, localXsltFile, mimeSeparation, output, readmeFile, readOnly, resources, sendfileSize, showServerInfo, sm, sortListings, sortManager, useAcceptRanges`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Controller()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDelete(javax.servlet.http.HttpServletRequest servletRequest, javax.servlet.http.HttpServletResponse servletResponse)`
    `protected void` | `doGet(javax.servlet.http.HttpServletRequest servletRequest, javax.servlet.http.HttpServletResponse servletResponse)`
    `protected void` | `doHead(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `protected void` | `doPut(javax.servlet.http.HttpServletRequest servletRequest, javax.servlet.http.HttpServletResponse servletResponse)`
    `protected Environment` | `getEnvironment()`
    `JspHandler` | `getJspHandler()`
    `org.apache.catalina.Wrapper` | `getWrapper()`
    `void` | `init()`
    `void` | `serveResource(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `setWrapper(org.apache.catalina.Wrapper wrapper)`

    - ### Methods inherited from class org.apache.catalina.servlets.DefaultServlet

      `checkIfHeaders, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkSendfile, copy, copy, copy, copy, copyRange, copyRange, copyRange, destroy, determineMethodsAllowed, doOptions, doPost, executePartialPut, findXsltSource, getPathPrefix, getReadme, getRelativePath, getRelativePath, parseContentRange, parseRange, render, render, renderHtml, renderHtml, renderSize, renderXml, renderXml, rewriteUrl, sendNotAllowed, serveResource, service`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEADER_VERSION

          protected static final String HEADER_VERSION

      See Also:
        Constant Field Values

    - #### HEADER_SITE

          protected static final String HEADER_SITE

      See Also:
        Constant Field Values

    - #### HEADER_NODE

          protected static final String HEADER_NODE

      See Also:
        Constant Field Values

    - #### jspHandler

          protected JspHandler jspHandler

    - #### monitoringHandler

          protected MonitoringHandler monitoringHandler

    - #### loadingScreen

          protected final byte[] loadingScreen

  - ### Constructor Detail

    - #### Controller

          public Controller()

  - ### Method Detail

    - #### doHead

          protected void doHead(javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)
                         throws IOException,
                                javax.servlet.ServletException

      Overrides:
        `doHead` in class `org.apache.catalina.servlets.DefaultServlet`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### serveResource

          public void serveResource(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response)
                             throws javax.servlet.ServletException,
                                    IOException

      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### doPut

          protected void doPut(javax.servlet.http.HttpServletRequest servletRequest,
                               javax.servlet.http.HttpServletResponse servletResponse)
                        throws javax.servlet.ServletException,
                               IOException

      Overrides:
        `doPut` in class `org.apache.catalina.servlets.DefaultServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### doDelete

          protected void doDelete(javax.servlet.http.HttpServletRequest servletRequest,
                                  javax.servlet.http.HttpServletResponse servletResponse)
                           throws javax.servlet.ServletException,
                                  IOException

      Overrides:
        `doDelete` in class `org.apache.catalina.servlets.DefaultServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### doGet

          protected void doGet(javax.servlet.http.HttpServletRequest servletRequest,
                               javax.servlet.http.HttpServletResponse servletResponse)
                        throws javax.servlet.ServletException,
                               IOException

      Overrides:
        `doGet` in class `org.apache.catalina.servlets.DefaultServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### getEnvironment

          protected Environment getEnvironment()

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `org.apache.catalina.servlets.DefaultServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### getWrapper

          public org.apache.catalina.Wrapper getWrapper()

      Specified by:
        `getWrapper` in interface `org.apache.catalina.ContainerServlet`

    - #### setWrapper

          public void setWrapper(org.apache.catalina.Wrapper wrapper)

      Specified by:
        `setWrapper` in interface `org.apache.catalina.ContainerServlet`

    - #### getJspHandler

          public JspHandler getJspHandler()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.